
import http from '@/utils/request'
// import axios from 'axios'

// 元数据相关
const metadata = {
  // 新增元数据
  metadataAdd (params) {
    return http.post('/meta/node/add', params)
  },
  // 更新元数据
  metadataUpdate (params) {
    return http.post('/meta/node/update', params)
  },
  // 删除元数据
  deleteMetadata: (param) => {
    return http.post('/meta/node/delete', param)
  },
  // 查看元数据详情
  getMetadataDetails: (param) => {
    return http.post('/meta/node/edit', param)
  },
  // 元数据列表
  getMetaDataList: (param) => {
    return http.post('/meta/node/list', param)
  },
  // 元数据图谱
  getMetaDataGraph: (param) => {
    return http.post('/meta/node/graph', param)
  }
}

// 数据资源
const dataResource = {
  // 资源列表
  getResourceList: (param) => {
    return http.post('/resource/list', param)
  },
  // 资源详情
  getResourceDetails: (param) => {
    return http.post('/resource/detail', param)
  },
  // 查看资源图谱   没接
  getResourceListToGraph: (param) => {
    return http.post('/data/resource/list/graph', param)
  },
  // 删除资源
  deleteSource: (param) => {
    return http.post('/resource/delete', param)
  },
  // 大模型模型翻译元数据  上传接口参数不对
  resourceTranslate: (param) => {
    return http.formData('/resource/translate', param)
  },
  // 保存数据资源
  saveResource: (param) => {
    return http.post('/resource/save', param)
  },
  // 数据资源上传  未知
  uploadResource: (param) => {
    return http.upload('/meta/resource/upload', param)
  },
  // 获取数据资源文件流  未知
  getResourceFile: (param) => {
    return http.download('/meta/resource/download', param)
  },
  // 解析非结构化文本展示信息  未知
  getUnstructured: (param) => {
    return http.post('/text/resource/translate', param)
  },
  // 查看资源图谱
  getResourceGraph: (param) => {
    return http.post('/resource/graph/all', param)
  },
  // 解析一个文件中多份DDL 文件上传接口 参数错误 预留接口
  resourceParseByDDL: (param) => {
    return http.upload('/resource/ddl/identify', param)
  },
  resourceParseDDL: (param) => {
    return http.upload('/resource/ddl/parse', param)
  },
  // DDL数据资源更新 未确认
  resourceUpdateByDDL: (param) => {
    return http.post('/data/resource/update', param)
  },
  // 通过资源id查找元数据
  getMetaDataById: (param) => {
    return http.post('/resource/search', param)
    // return http.post('/id/data/search', param)
  },
  // 数据资源生产线调度 结构化 手动执行
  productionLineDispatch: (param) => {
    return http.post('/pipeline/production/line/execute', param)
  }
}

// 数据模型
const dataModel = {
  // 模型列表
  getModelList: (param) => {
    return http.post('/model/data/model/list', param)
  },
  // 查看模型详情
  getModelDetails: (param) => {
    return http.post('/model/data/model/detail', param)
  },
  // 查看模型图谱
  getModelListToGraph: (param) => {
    return http.post('/model/data/model/graph/all', param)
  },
  // 新增模型 -> 通过资源新增模型
  addModel: (param) => {
    // return http.post('/model/model/data/model/add', param)
    return http.post('/model/data/search', param)
  },
  // 删除模型
  deleteModel: (param) => {
    return http.post('/model/data/model/delete', param)
  },
  // 新增模型：模型选择模型 未知
  addModelByModel: (param) => {
    return http.post('/model/data/model/add', param)
  },
  // 查看模型图谱
  getModelGraph: (param) => {
    return http.post('/data/model/graph/all', param)
  },
  // 更新模型
  updateModel: (param) => {
    return http.post('/model/data/model/update', param)
  },
  // 通过ddl保存模型
  saveModelByDDL: (param) => {
    return http.post('/model/data/model/save', param)
  }
}

// 数据标签
const dataLabel = {
  // 列表
  dataLabelList: (param) => {
    return http.post('/interface/data/label/list', param)
  },
  // 新增
  dataLabelAdd: (param) => {
    return http.post('/interface/data/label/add', param)
  },
  // 详情
  dataLabelDetails: (param) => {
    return http.post('/interface/data/label/detail', param)
  },
  // 标签图谱
  dataLabelGraph: (param) => {
    return http.post('/interface/data/label/graph/all', param)
  },
  // 数据标签动态识别分组
  dataLabelIdentifyGroup: (param) => {
    return http.post('/interface/data/label/dynamic/identify', param)
  }
}

// 数据标准
const dataStandard = {
  // 标准列表
  dataStandardList: (param) => {
    return http.post('/interface/data/standard/list', param)
  },
  // 新增
  dataStandardAdd: (param) => {
    return http.post('/interface/data/standard/add', param)
  },
  // 详情
  dataStandardDetails: (param) => {
    return http.post('/interface/data/standard/detail', param)
  },
  // 生成操作代码
  dataStandardCodeGenerate: (param) => {
    return http.post('/interface/data/standard/code', param)
  },
  // 标签图谱
  dataStandardGraph: (param) => {
    return http.post('/interface/data/standard/graph/all', param)
  }
}

// 数据指标
const dataIndicator = {
  // 指标列表
  dataIndicatorList: (param) => {
    return http.post('/metric/data/metric/list', param)
  },
  // 指标列表切换图谱
  dataIndicatorListToGraph: (param) => {
    // return http.post('/data/metric/list/graph', param)
    return http.post('/metric/data/metric/list/graph', param)
  },
  // 新增指标
  dataIndicatorAdd: (param) => {
    // return http.post('/data/metric/add', param)
    return http.post('/metric/data/metric/add', param)
  },
  // 新增更新
  dataIndicatorUpdate: (param) => {
    // return http.post('/data/metric/update', param)
    return http.post('/metric/data/metric/update', param)
  },
  // 指标详情
  dataIndicatorDetails: (param) => {
    return http.post('/metric/data/metric/detail', param)
    // return http.post('/data/metric/detail', param)
  },
  // 指标血缘关系检测
  dataIndicatorRelation: (param) => {
    // return http.post('/data/metric/relation', param)
    return http.post('/metric/data/metric/relation', param)
  },
  // 指标生成代码
  dataIndicatorCodeGenerate: (param) => {
    // return http.post('/data/metric/code', param)
    return http.post('/metric/data/metric/code', param)
  },
  // 指标图谱
  dataIndicatorGraph: (param) => {
    // return http.post('/data/metric/graph', param)
    return http.post('/data/metric/graph/all', param)
  }
}

const LLM = {

  // 模型训练
  setDDLTrain: (param) => {
    return http.post('/vanna/api/v0/train', param)
  },
  // 图表sql信息
  getSql: (param) => {
    return http.get('/vanna/api/v0/generate_sql', param)
  },
  // 图表sql信息
  getToTable: (param) => {
    return http.get('/vanna/api/v0/run_sql', param)
  },
  // 知识库+图谱问答
  ask: (param) => {
    return http.post('/rag/ask', param)
  },
  // 产品知识库问答 RAG
  askToProduct: (param) => {
    return http.post('/rag/ask/rag', param)
  },
  // 非结构化知识库问答 RAG + Graph
  askToUnstructured: (param) => {
    return http.post('/rag/ask/unstructure/rag', param)
  }
}

const other = {
// 资源 & 模型 列表 未接
  getResourceAndModelList: (param) => {
    return http.post('/resource/model/list', param)
  },
  // 获取资源ddl 未接
  getDDL: (param) => {
    return http.post('/id/data/ddl', param)
  },

  // 生产线执行非结构化文档 实体 关系
  runUnstructured: (param) => {
    return http.post('/text/resource/node', param)
  },
  // 生产线执行非结构化文档 元数据内容
  runUnstructuredMetadata: (param) => {
    return http.post('/processing/unstructured/data', param)
  },
  // 产品知识库列表
  productKnowledgeBaseList: (param) => {
    return http.post('/text/product/list', param)
  },
  // 直接删除图谱元素
  graphDataDelete: (param) => {
    return http.post('/metric/label/standard/delete', param)
  },
  // 直接删除图谱元素
  getGraphMetadataById: (param) => {
    return http.post('/graph/meta/include', param)
  }
}

// 整合api
export const api = {
  // 元数据
  ...metadata,
  // 数据资源
  ...dataResource,
  // 数据模型
  ...dataModel,

  // 数据标签
  ...dataLabel,

  // 数据标准
  ...dataStandard,

  // 数据指标
  ...dataIndicator,

  // 大语言模型对话接口
  ...LLM,

  ...other

}
